{% extends "package/base.html" %}

{% set logged_in = true if c.userobj else false %}
{% block breadcrumb_content_selected %}{% endblock %}

{% block breadcrumb_content %}
  {{ super() }}
  {% if res %}
    {% set can_edit = h.check_access('package_update', {'id': pkg.name }) %}
    {% set url_action = 'resource_read' if can_edit == 'True' else 'resource_extractor_show' %}
    {% set ctrl = 'package' if can_edit == 'True' else 'ckanext.dataextractor.controllers.dataextractor:DataextractorController' %}
    <li>{% link_for res.title or res.name|truncate(30), controller=ctrl, action=url_action, id=pkg.name, resource_id=res.id %}</li>
    <li {% block breadcrumb_edit_selected %} class="active"{% endblock %}><a href="">{{ _('Edit') }}</a></li>
  {% endif %}
{% endblock %}

{% block content_action %}
  {% link_for _('All resources'), controller='package', action='resources', id=pkg.name, class_='btn btn-default', icon='arrow-left' %}
  {% if res %}
    {% set can_edit = h.check_access('package_update', {'id': pkg.name }) %}
    {% set url_action = 'resource_read' if can_edit == 'True' else 'resource_extractor_show' %}
    {% set ctrl = 'package' if can_edit == 'True' else 'ckanext.dataextractor.controllers.dataextractor:DataextractorController' %}

    {% link_for _('View resource'), controller=ctrl, action=url_action, id=pkg.name, resource_id=res.id, class_='btn btn-default', icon='eye' %}
  {% endif %}
{% endblock %}

{% block content_primary_nav %}
  {{ h.build_nav_icon('resource_edit', _('Edit resource'), id=pkg.name, resource_id=res.id) }}
  {% if 'datapusher' in g.plugins %}
    {{ h.build_nav_icon('resource_data', _('DataStore'), id=pkg.name, resource_id=res.id) }}
  {% endif %}
  {{ h.build_nav_icon('views', _('Views'), id=pkg.name, resource_id=res.id) }}
  {% if 'dataextractor' in g.plugins %}
    {{ h.build_nav_icon('resource_filters_edit', _('Resource Filters'), name=pkg.name, resource_id=res.id) }}
  {% endif %}
{% endblock %}

{% block scripts %}
  {{ super() }}
{% endblock %}

{% block primary_content_inner %}
{% endblock %}

{% block secondary_content %}
{% endblock %}
